Subject: Re: [PATCH v5] bpf: test_run: Fix the null pointer dereference issue in bpf_lwt_xmit_push_encap

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Feb 2026 15:39:24 -0800

On Tue, 17 Feb 2026 15:26:33 -0800 Martin KaFai Lau wrote:
> > Having fastpath checks for test harness really feels like duct tape  
> 
> Adding route lookup on ip[v6]_hdr does not work well either and is a 
> larger duct tape on the test_run_skb side.

Well, maybe to clarify, the responsibility of the test harness is to
generate valid inputs. Whether it's hard or not to address this issue 
in test_run_skb is a less fundamental than whether it is the correct
place to address it.

> An option is to always set skb to 'some' dst (loopback or 
> ipv6.fib6_null_entry) on all is_lwt cases without doing the lookup. It 
> is only to get it going. It is a duct tape also imo but maybe a middle 
> ground.

Sounds reasonable to me, FWIW.